Subject: Re: Is there a way to trim old SHAs from a git tree (so it's not so large)?

From: Shawn Pearce <[email-masked]>
Date: Wed, 15 Nov 2006 17:16:16 -0500

Timur Tabi <[email-masked]> wrote:
> After doing a "make mrproper" in my Linux git tree, the result is still 
> 1.1GB of files.  Compare that with just the tarball, which is just 
> one-forth the size.
> 
> Is there a way to "trim away" old commits from the repository, so that it 
> just doesn't take up that much space?  I don't care about any commits made 
> in 2005. As long as I can still do "git pull" from the source repo to 
>  update mine, that's good enough.

No.  However...

Have you tried "git repack -a -d" to repack the loose objects into
a pack file?  Doing this every so often should reduce your disk
space consumed by a HUGE amount.

--